Package ru.bitel.bgbilling.modules.inet.server.event

# Class InetServStateChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.inet.server.event.InetServStateChangedEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class InetServStateChangedEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Событие вызывается после реального изменения состояния сервиса на договоре, например при изменении баланса договора.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServStateChangedEvent()`
  `InetServStateChangedEvent(int mid, InetServ inetServ, short oldState, short newState, int accessCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccessCode()`
  Получение Access-Code.
  `InetServ`
  `getInetServ()`
  Получение сервиса договора, на котором произошло изменение состояния.
  `short`
  `getNewState()`
  Получение нового состояния сервиса ПОСЛЕ его изменения.
  `short`
  `getOldState()`
  Получение старого состояния сервиса ДО его изменения.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetServStateChangedEvent

    public InetServStateChangedEvent()

  - ### InetServStateChangedEvent

    public InetServStateChangedEvent(int mid, InetServ inetServ, short oldState, short newState, int accessCode)

- ## Method Details

  - ### getInetServ

    public InetServ getInetServ()
    Получение сервиса договора, на котором произошло изменение состояния.

  - ### getOldState

    public short getOldState()
    Получение старого состояния сервиса ДО его изменения. Либо `InetServ#STATE_ENABLE`, либо `InetServ#STATE_DISABLE`

  - ### getNewState

    public short getNewState()
    Получение нового состояния сервиса ПОСЛЕ его изменения. Либо `InetServ#STATE_ENABLE`, либо `InetServ#STATE_DISABLE`

  - ### getAccessCode

    public int getAccessCode()
    Получение Access-Code. Либо `ru.ru.bitel.bgbilling.modules.voice.common.bean.api.common.AccessCodes#AUTHORIZATION_SUCCEEDED`, либо `ru.ru.bitel.bgbilling.modules.voice.common.bean.api.common.AccessCodes#BALANCE_INSUFFICIENT`, либо `ru.ru.bitel.bgbilling.modules.voice.common.bean.api.common.AccessCodes#CONTRACT_LOCKED`